  <div *ngFor="let identity of identities" class='group__row--identity'>
    <div nz-row [nzGutter]="[20,30]">
      <div nz-col nzXs="24" nzLg="4">
        <mb-text-label [mbLabelText]="identity.idTypeName" [mbLabelValue]="identity.idNo"></mb-text-label>
      </div>
      <div nz-col nzXs="24" nzLg="4">
        <mb-text-label mbLabelText="{{'selfService.table.dateOfIdentity' | translate}}" [mbLabelValue]="identity.idIssueDate"></mb-text-label>
      </div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-text-label mbLabelText="{{'selfService.table.placeOfIdentity' | translate}}" [mbLabelValue]="identity.idIssuePlace"></mb-text-label>
      </div>
      <div nz-col nzXs="24" nzLg="6">
        <mb-text-label mbLabelText="{{'selfService.table.identityExpireDate' | translate}}" [mbLabelValue]="identity.toDate"></mb-text-label>
      </div>
      <div nz-col nzXs="24" nzLg="2" style="align-self: center">
        <nz-tag nzColor="{{identity.inputType | statusPipe: listStatus: 'key': 'color' }}">{{identity.inputType | statusPipe: listStatus}}</nz-tag>
      </div>
      <div nz-col nzXs="24" nzLg="2" class='group__action--identity'>
        <mb-button *ngIf="!identity.draftPersonalIdentityId" mbButtonType="ONLY_ICON" mbButtonIconType="AWESOME" mbPrefixIcon="far fa-pencil-alt" (click)="showModalUpdate(identity, footerTmpl)"></mb-button>
<!--        <mb-button *ngIf="!identity.draftPersonalIdentityId" mbButtonType="ONLY_ICON" mbButtonIconType="AWESOME" nz-popconfirm-->
<!--                   nzPopconfirmTitle="{{'selfService.table.action.confirmDelete' | translate}}"-->
<!--                   nzCancelText="{{'selfService.table.action.cancel2' | translate}}"-->
<!--                   nzOkType="primary"-->
<!--                   nzOkText="{{'selfService.table.action.yes' | translate}}"-->
<!--                   (nzOnConfirm)="deleteItem(identity)"-->
<!--                   nzPopconfirmPlacement="top" mbPrefixIcon="fal fa-trash-alt"></mb-button>-->
        <mb-button *ngIf="identity.draftPersonalIdentityId" mbButtonType="ONLY_ICON" mbButtonIconType="AWESOME" nz-popconfirm
                   nzPopconfirmTitle="{{'selfService.table.action.confirmUndo' | translate}}"
                   nzCancelText="{{'selfService.table.action.cancel2' | translate}}"
                   nzOkType="primary"
                   nzOkText="{{'selfService.table.action.yes' | translate}}"
                   (nzOnConfirm)="rollBack(identity.draftPersonalIdentityId)"
                   nzPopconfirmPlacement="top" mbPrefixIcon="far fa-undo"></mb-button>
      </div>
    </div>
  </div>
  <ng-template #footerTmpl>
    <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal.destroy()" mbButtonBgColor="transparent" mbButtonText="{{'common.button.cancel' | translate}}"></mb-button>
    <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal.getContentComponent().save()" mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.save' | translate}}"></mb-button>
  </ng-template>
